j_calldist.d(1m)

NAME
j_calldist.d - measure Java elapsed times for different types of operation.

SYNOPSIS
j_calldist.d [top]

DESCRIPTION
This traces activity from all Java processes on the system with hotspot provider support (1.6.0). Method calls are only visible when using the flag "+ExtendedDTraceProbes". eg, java -XX:+ExtendedDTraceProbes classfile The "top" optional argument will truncate the output for each report section to that many lines, with a default of 10.

OS
Solaris

STABILITY
Evolving - uses the DTrace hotspot provider, which may change as additional features are introduced. Check Java/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # j_calldist.d

FIELDS

1   Process ID

2   Type of call (method/gc)

3   Name of call

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
j_calldist.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)